# webpoint


# API Endpoints

1.http://localhost:8080/api/auth/signup Request Load: { "username": "user1", "url": "www.user1.com" } Method = POST

2.http://localhost:8080/api/auth/login Request Load: { "username": "user1", "password": "hkjo8G" } Method = POST

3.http://localhost:8080/api/users/add Header: Authorization = Bearer Jwt Token Request Load: { "username": "user1", "url": "www.user1.com" } Method = POST

4.http://localhost:8080/api/users/all Header: Authorization = Bearer Jwt Token Method = GET

5.http://localhost:8080/api/users/search?url=www.user10.com Header: Authorization = Bearer Jwt Token Method = GET